<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;


if (isset($_REQUEST["itemname"])) {
    $itemname = $_REQUEST['itemname'];

    $cond = "";
    if (!empty($itemname)) {
        $cond = " AND `code` ='$itemname' ";
    }

    $query = "SELECT `rate` FROM `rawmat` WHERE code!='' $cond";

    $result = mysqli_query($conn, $query)or die(mysqli_error($conn));

    $rows = array();
    $ctr = 0;
    $r = mysqli_fetch_assoc($result);
    
    $rows = array('success' => true,
        'rate' => "$r[rate]");
    header("Content-type: application\json");
    echo json_encode($rows);
}